@echo off
set "DLL_DIR=%~dp0build\runner\Release"
set "VC_REDIST_DIR=C:\Windows\System32"

echo 正在复制必要的 DLL 文件...

copy "%VC_REDIST_DIR%\msvcp140.dll" "%DLL_DIR%"
copy "%VC_REDIST_DIR%\vcruntime140.dll" "%DLL_DIR%"
copy "%VC_REDIST_DIR%\vcruntime140_1.dll" "%DLL_DIR%"

echo DLL 文件复制完成！
pause 